Reorder Customer Segments
curl --request POST \
--url https://api.example.com/v2/customer-segments/reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"segment_ids": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v2/customer-segments/reorder"
payload = { "segment_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({segment_ids: ['<string>']})
};
fetch('https://api.example.com/v2/customer-segments/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"priority": 123,
"conditions": {},
"partner_count": 123,
"partner_count_refreshed_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
]{
"type": "entity-not-found",
"status": 404,
"title": "Entity not found",
"detail": "<string>"
}{
"type": "<string>",
"status": 409,
"title": "<string>",
"detail": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}customer-segments
Reorder Customer Segments
Reorder Segments
Updates the priority order of all segments. All organization segments must be included.
POST
/
v2
/
customer-segments
/
reorder
Reorder Customer Segments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Ordered segment IDs (first gets priority 0)
Response
Successful Response
The name of the segment (case-insensitive unique per org).
Optional description of what this segment represents.
Lower number = higher priority for conflict resolution when partner matches multiple segments.
Rules that determine which partners belong to this segment.
Cached number of partners whose highest-priority matching segment is this one.
When partner_count was last recomputed.
String representing the object's type. Objects of the same type share the same value.
